Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
/
services
List of organization services
curl --request GET \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "provider": "aws",
      "region": "ap-northeast-1",
      "state": "starting",
      "clickhouseVersion": "<string>",
      "endpoints": [
        {
          "protocol": "mysql",
          "host": "<string>",
          "port": 123,
          "username": "<string>"
        }
      ],
      "tier": "development",
      "minTotalMemoryGb": 48,
      "maxTotalMemoryGb": 360,
      "minReplicaMemoryGb": 16,
      "maxReplicaMemoryGb": 120,
      "numReplicas": 3,
      "idleScaling": true,
      "idleTimeoutMinutes": 123,
      "ipAccessList": [
        {
          "source": "<string>",
          "description": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "encryptionKey": "<string>",
      "encryptionAssumedRoleIdentifier": "<string>",
      "iamRole": "<string>",
      "privateEndpointIds": [
        "<string>"
      ],
      "availablePrivateEndpointIds": [
        "<string>"
      ],
      "dataWarehouseId": "<string>",
      "isPrimary": true,
      "isReadonly": true,
      "releaseChannel": "slow",
      "byocId": "<string>",
      "hasTransparentDataEncryption": true,
      "profile": "v1-default",
      "transparentDataEncryptionKeyId": "<string>",
      "encryptionRoleId": "<string>",
      "complianceType": "hipaa"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Query Parameters

filter
string[]

Filter criteria to apply when retrieving the resource. Currently, only filtering by resource tags is supported.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object[]